/***************************************************************************//**
 * Module Configuration Header
 * Copyright 2018 Silicon Laboratories, Inc.
 *
 * # License
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software.@n
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.@n
 * 3. This notice may not be removed or altered from any source distribution.
 *
 * DISCLAIMER OF WARRANTY/LIMITATION OF REMEDIES: Silicon Laboratories, Inc.
 * has no obligation to support this Software. Silicon Laboratories, Inc. is
 * providing the Software "AS IS", with no express or implied warranties of any
 * kind, including, but not limited to, any implied warranties of
 * merchantability or fitness for any particular purpose or warranties against
 * infringement of any proprietary rights of a third party.
 *
 * Silicon Laboratories, Inc. will not be liable for any consequential,
 * incidental, or special damages, or any other relief, or for any claim by
 * any third party, arising from your use of this Software.
 ******************************************************************************/
 
#ifndef SL_MODULE_H
#define SL_MODULE_H

#if defined(BGM111A256V2)
#include "sl_module_bgm111a256v2.h"

#elif defined(Artik_020_A)
#include "sl_module_artik_020_a.h"

#elif defined(BGM111E256V2)
#include "sl_module_bgm111e256v2.h"

#elif defined(Artik_020_E)
#include "sl_module_artik_020_e.h"

#elif defined(BGM113A256V2)
#include "sl_module_bgm113a256v2.h"

#elif defined(BGM11S12F256GA)
#include "sl_module_bgm11s12f256ga.h"

#elif defined(BGM11S22F256GA)
#include "sl_module_bgm11s22f256ga.h"

#elif defined(MGM111A256V2)
#include "sl_module_mgm111a256v2.h"

#elif defined(Artik_030_A)
#include "sl_module_artik_030_a.h"

#elif defined(MGM111E256V2)
#include "sl_module_mgm111e256v2.h"

#elif defined(Artik_030_E)
#include "sl_module_artik_030_e.h"

#elif defined(BGM121A256V2)
#include "sl_module_bgm121a256v2.h"

#elif defined(BGM121N256V2)
#include "sl_module_bgm121n256v2.h"

#elif defined(BGM123A256V2)
#include "sl_module_bgm123a256v2.h"

#elif defined(BGM123N256V2)
#include "sl_module_bgm123n256v2.h"

#elif defined(MGM12P02F1024GA)
#include "sl_module_mgm12p02f1024ga.h"

#elif defined(MGM12P02F1024GE)
#include "sl_module_mgm12p02f1024ge.h"

#elif defined(MGM12P22F1024GA)
#include "sl_module_mgm12p22f1024ga.h"

#elif defined(MGM12P22F1024GE)
#include "sl_module_mgm12p22f1024ge"

#elif defined(MGM12P32F1024GA)
#include "sl_module_mgm12p32f1024ga.h"

#elif defined(MGM12P32F1024GE)
#include "sl_module_mgm12p32f1024ge.h"

#elif defined(BGM13P22F512GA)
#include "sl_module_bgm13p22f512ga.h"

#elif defined(BGM13P22F512GE)
#include "sl_module_bgm13p22f512ge.h"

#elif defined(BGM13P32F512GA)
#include "sl_module_bgm13p32f512ga.h"

#elif defined(BGM13P32F512GE)
#include "sl_module_bgm13p32f512ge.h"

#elif defined(MGM13P02F512GA)
#include "sl_module_mgm13p02f512ga.h"

#elif defined(MGM13P02F512GE)
#include "sl_module_mgm13p02f512ge.h"

#elif defined(MGM13P12F512GA)
#include "sl_module_mgm13p12f512ga.h"

#elif defined(MGM13P12F512GE)
#include "sl_module_mgm13p12f512ge.h"

#elif defined(BGM13S22F512GA)
#include "sl_module_bgm13s22f512ga.h"

#elif defined(BGM13S22F512GN)
#include "sl_module_bgm13s22f512gn.h"

#elif defined(BGM13S32F512GA)
#include "sl_module_bgm13s32f512ga.h"

#elif defined(BGM13S32F512GN)
#include "sl_module_bgm13s32f512gn.h"

#elif defined(MGM13S02F512GA)
#include "sl_module_mgm13s02f512ga.h"

#elif defined(MGM13S02F512GN)
#include "sl_module_mgm13s02f512gn.h"

#elif defined(MGM13S12F512GA)
#include "sl_module_mgm13s12f512ga.h"

#elif defined(MGM13S12F512GN)
#include "sl_module_mgm13s12f512gn.h"

#elif defined(ZGM130S037HGN1)
#include "sl_module_zgm130s037hgn1.h"

#elif defined(MGM210P022JNA2)
#include "sl_module_mgm210p022jna2.h"

#elif defined(MGM210P032JNA2)
#include "sl_module_mgm210p032jna2.h"

#elif defined(MGM210PA22JNA2)
#include "sl_module_mgm210pa22jna2.h"

#elif defined(MGM210PA32JNA2)
#include "sl_module_mgm210pa32jna2.h"

#elif defined(BGM210P022JNA2)
#include "sl_module_bgm210p022jna2.h"

#elif defined(BGM210P032JNA2)
#include "sl_module_bgm210p032jna2.h"

#elif defined(BGM210PA22JNA2)
#include "sl_module_bgm210pa22jna2.h"

#elif defined(BGM210PA32JNA2)
#include "sl_module_bgm210pa32jna2.h"

#elif defined(MGM210L022JIF2)
#include "sl_module_mgm210l022jif2.h"

#elif defined(MGM210L022JNF2)
#include "sl_module_mgm210l022jnf2.h"

#elif defined(MGM210LA22JIF2)
#include "sl_module_mgm210la22jif2.h"

#elif defined(MGM210LA22JNF2)
#include "sl_module_mgm210la22jnf2.h"

#elif defined(BGM210L022JIF2)
#include "sl_module_bgm210l022jif2.h"

#elif defined(BGM210L022JNF2)
#include "sl_module_bgm210l022jnf2.h"

#elif defined(BGM210LA22JIF2)
#include "sl_module_bgm210la22jif2.h"

#elif defined(BGM210LA22JNF2)
#include "sl_module_bgm210la22jnf2.h"

#else
#error "Module part number not defined, or unknown."
#endif

#endif // SL_MODULE_H
